summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorAndrew Gallant <jamslam@gmail.com>2016-09-21 17:36:46 -0400
committerAndrew Gallant <jamslam@gmail.com>2016-09-21 17:36:46 -0400
commitc2bf9e3d45bd0a180f550d77d8e5f290160c2ba4 (patch)
tree597a9addceae7bb7896a5af06a8dbcce724d6983 /ci
parentdad73b92eb168e7ec4830d7fd1397ae72211ece9 (diff)
fix brew
Diffstat (limited to 'ci')
-rw-r--r--ci/sha256.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/ci/sha256.sh b/ci/sha256.sh
new file mode 100644
index 00000000..927c2e0f
--- /dev/null
+++ b/ci/sha256.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ $# != 1 ]; then
+ echo "Usage: $(basename $0) version" >&2
+ exit 1
+fi
+version="$1"
+
+for arch in i686 x86_64; do
+ for target in apple-darwin unknown-linux-musl; do
+ url="https://github.com/BurntSushi/ripgrep/releases/download/$version/ripgrep-$version-$arch-$target.tar.gz"
+ sha=$(curl -L -s "$url" | sha256sum)
+ echo $version-$arch-$target $sha
+ done
+done